Package fr.gouv.vitam.common.model

# Class MetadataStorageHelper

java.lang.Object
fr.gouv.vitam.common.model.MetadataStorageHelper

public class MetadataStorageHelper extends Object
Helper class for metadata documentation storage.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GOT_KEY`
  `static final String`
  `LFC_KEY`
  `static final String`
  `UNIT_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadataStorageHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static com.fasterxml.jackson.databind.JsonNode`
  `getGotWithLFC(com.fasterxml.jackson.databind.JsonNode document, com.fasterxml.jackson.databind.JsonNode lfc)`
  Create a jsonNode with the got document and its lfc
  `static com.fasterxml.jackson.databind.JsonNode`
  `getUnitFromUnitWithLFC(com.fasterxml.jackson.databind.JsonNode document)`
  Retrieve the unit from the unit + lfc object
  `static com.fasterxml.jackson.databind.JsonNode`
  `getUnitWithLFC(com.fasterxml.jackson.databind.JsonNode document, com.fasterxml.jackson.databind.JsonNode lfc)`
  Create a jsonNode with the unit document and its lfc

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNIT_KEY

    public static final String UNIT_KEY
    See Also:
      - Constant Field Values

  - ### GOT_KEY

    public static final String GOT_KEY
    See Also:
      - Constant Field Values

  - ### LFC_KEY

    public static final String LFC_KEY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MetadataStorageHelper

    public MetadataStorageHelper()

- ## Method Details

  - ### getUnitWithLFC

    public static com.fasterxml.jackson.databind.JsonNode getUnitWithLFC(com.fasterxml.jackson.databind.JsonNode document, com.fasterxml.jackson.databind.JsonNode lfc)
    Create a jsonNode with the unit document and its lfc
    Parameters:
      `document` - the unit node
      `lfc` - the lfc node
    Returns:
      a new JsonNode with document and lfc inside

  - ### getUnitFromUnitWithLFC

    public static com.fasterxml.jackson.databind.JsonNode getUnitFromUnitWithLFC(com.fasterxml.jackson.databind.JsonNode document)
    Retrieve the unit from the unit + lfc object
    Parameters:
      `document` - the unit + lfc node
    Returns:
      the JsonNode of the unit inside the documuent

  - ### getGotWithLFC

    public static com.fasterxml.jackson.databind.JsonNode getGotWithLFC(com.fasterxml.jackson.databind.JsonNode document, com.fasterxml.jackson.databind.JsonNode lfc)
    Create a jsonNode with the got document and its lfc
    Parameters:
      `document` - the unit node
      `lfc` - the lfc node
    Returns:
      a new JsonNode with document and lfc inside